/*
 *  popup.h
 *  NewCol
 *
 *  Created by fredericVernier on 3/21/07.
 *  Copyright 2007 Frederic Vernier. All rights reserved.
 *
 */

#include <kazlib/list.h>
#include "typenewcol.h"
#include "newcol.h"

// popup messages and menus variables
extern list_t       *popupOptionList;
extern int           popupType;
extern void         *popupObject;
extern char         *popuptext;
extern int           popuptextcursor;
extern list_t       *popupUnitList;
extern SDL_Rect     *popupRect;
extern option       *selectedOption;
extern int           popupneedUpdate;
extern SDL_Surface  *popupDecoration;

// functions
void resetPopupText(char* txt);
void preSelectMiddleOptionPopup();
void addPopupOption(char *name, void (*acttodo)(list_t *, char *));
void activatePopup();
void displayPopup();
void discardPopup();
void mouseMovedPopup(int x, int y);
void computePopupSize();
void setPopupDecoration(SDL_Surface *img);

