/*
 *  unitview.h
 *  NewCol
 *
 *  Created by fredericVernier on 2/28/07.
 *  Copyright 2007 Frederic Vernier. All rights reserved.
 *
 */

#ifndef UNITVIEW_H
#define UNITVIEW_H

#include "extragraphics.h"
#include "typenewcol.h"
#include <kazlib/list.h>
#include "newcol.h"
#include "SDL.h"

#ifdef __cplusplus
extern "C" {
#endif

#define UNIT_BAR_HEIGHT          128

extern       list_t      *unitViews;
extern       int          uvDrag;
extern       int          lastuvmouseX;
extern       int          lastuvmouseY;

unitview *createUnitView();
void displayUnitView(unitview*);

void mouseDropUV(unitview *uv, city *c, int uvmouseX, int uvmouseY);
void mouseDragUV(unitview *uv, city *c, int uvmouseX, int uvmouseY);

void mouseDraggedUV (unitview*, int , int );
void mousePressedUV (unitview*, int , int );
void mouseReleasedUV(unitview*, int , int );

int isInAnyUnitView(int x, int y);
int isInUnitView(unitview* uv, int x, int y);
unitview *getUnitView(int x, int y);
good *getFreeCargo(unit *u);

#ifdef __cplusplus
}
#endif
#endif
